package org.eclipse.wtp.releng.cvslog.tools.tests;

import java.io.File;
import java.util.Date;

import org.apache.xmlbeans.XmlOptionCharEscapeMap;
import org.apache.xmlbeans.XmlOptions;
import org.eclipse.wtp.releng.cvslog.tools.CVSBugLog;
import org.eclipse.wtp.releng.cvslog.tools.CVSRlog;
import org.eclipse.wtp.releng.cvstools.BugLogDocument;
import org.eclipse.wtp.releng.cvstools.RlogDocument;

public class CvsTesterMain {


	public static void main(String[] args) throws Exception {
		Date from = CVSRlog.parseCVSDate("2006-04-13 00:00:00 GMT");
		Date to = CVSRlog.parseCVSDate("2006-04-13 11:00:25 GMT");
		//Date now = new Date();
		CVSRlog util = new CVSRlog();
		util.setCvsRoot(":pserver:anonymous@dev.eclipse.org:/cvsroot/webtools");
		util.setTag("HEAD");
		util.setModules(new String[]{"jst","wst"} );
		util.validate();
		util.isCvsNewOutputFormat();
		XmlOptions xmlOptions = new XmlOptions();
		xmlOptions.setSavePrettyPrint().setSavePrettyPrintIndent(4);
		XmlOptionCharEscapeMap charEscapeMap = new XmlOptionCharEscapeMap();
		charEscapeMap.addMapping('>', XmlOptionCharEscapeMap.HEXADECIMAL);
		xmlOptions.setSaveSubstituteCharacters(charEscapeMap);
		
		RlogDocument rlogDocument = util.getRlog(from, to);
		rlogDocument.save(new File("rLog.xml"), xmlOptions);
		CVSBugLog util2 = new CVSBugLog();
		BugLogDocument doc = util2.getBugLog(rlogDocument,"1.5 M4,1.5 M5,1.5 M6,1.0.1 M101,1.0.2 M102","-");
		String sum = doc.getBugLog().getBugsArray()[0].getSummary()+"]]>";
		doc.getBugLog().getBugsArray()[0].setSummary(sum);
		doc.save(new File("bugLog.xml"), xmlOptions);
	}

}
